extends "res://scripts/Investigations/InvestigationBase.gd"

var descriptions = [
	"black.1", 
	"black.2", 
	"black.3", 
	"black.4", 
	"black.5", 
];

func InitClues():
	cluesFound = InvestigationSingleton.GetBlackClues();
	
	for i in $Clues.get_children().size():
		var clues = $Clues.get_child(i) as TextureButton;
		clues.connect("button_up", self, "onButtonPressed", [clues, descriptions[i]])
		clues.connect("mouse_entered", self, "onButtonHoverOn", [clues]);
		clues.connect("mouse_exited", self, "onButtonHoverOff", [clues]);
	
func onButtonPressed(control, code):
	if CheckHover():
		onButtonHoverOff(control)
		InvestigationSingleton.AddBlackClues(code);
		EndInvestigationLoop(code);
