extends "res://scripts/Investigations/InvestigationBase.gd"


var descriptions = [
	"purple.1", 
	"purple.2", 
	"purple.3", 
	"purple.4", 
	"purple.5", 
];

func InitClues():
	cluesFound = InvestigationSingleton.GetPurpleClues();
	
	for i in $Clues.get_children().size():
		var clue = $Clues.get_child(i) as TextureButton;
		clue.connect("button_up", self, "onButtonPressed", [clue, descriptions[i]])
		clue.connect("mouse_entered", self, "onButtonHoverOn", [clue]);
		clue.connect("mouse_exited", self, "onButtonHoverOff", [clue]);
	
func onButtonPressed(control, code):
	if CheckHover():
		onButtonHoverOff(control)
		InvestigationSingleton.AddPurpleClues(code);
		EndInvestigationLoop(code);
