extends "res://scripts/Investigations/InvestigationBase.gd"

var descriptions = [
	"green.1", 
	"green.2", 
	"green.3", 
	"green.4", 
	"green.5", 
];

func InitClues():
	cluesFound = InvestigationSingleton.GetGreenClues();
	
	for i in $Clues.get_children().size():
		var clue = $Clues.get_child(i) as TextureButton;
		clue.connect("button_up", self, "onButtonPressed", [clue, descriptions[i]])
		clue.connect("mouse_entered", self, "onButtonHoverOn", [clue]);
		clue.connect("mouse_exited", self, "onButtonHoverOff", [clue]);
	
func onButtonPressed(control, code):
	if CheckHover():
		onButtonHoverOff(control)
		InvestigationSingleton.AddGreenClues(code);
		EndInvestigationLoop(code);
